﻿using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Imaging;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();


            Bitmap sourceBitmap = new Bitmap(400, 400, PixelFormat.Format32bppArgb);

            Graphics sourceGraphics = Graphics.FromImage(sourceBitmap);

            sourceGraphics.DrawEllipse(new Pen(Brushes.LightGray, 20), 50, 50, 300, 300);

            sourceGraphics.Dispose();

            this.pictureBox1.Image = sourceBitmap;


            PixelData2 pixelData = PixelData2.Create(sourceBitmap.Clone() as Bitmap);

            List<List<Point>> pointListList = BoundaryTracing.Create(pixelData);

            foreach(List<Point> pointList in pointListList)
            {
                foreach(Point point in pointList)
                {
                    pixelData.SetColor(point, Color.Red.ToArgb());
                }
            }

            this.pictureBox2.Image = pixelData.GetBitmap();
        }

        #endregion
    }
}